function P = ex5manp(p,l,a);
%P = ex5manp(p,l,a)
%p(i) = p(promotion from grade i to i+1).
%l(i) = p(leaving from grade i).
%a(i) = p(new employee enters grade i).
%P = tr pr matrix for the manpower planning example.
[mp np]= size(p);
[ma na] = size(a);
[ml nl] = size(l);
if mp > 1 | ma > 1 | ml > 1
   msgbox('a, l, and p must be row vectors'); P='error'; return;
elseif np ~= na | na ~= nl
   msgbox('a, l, and p must have the same length'); P='error'; return;
elseif  any(p < 0) | any(p > 1) 
   msgbox('invalid value for p');P='error';return;
elseif p(mp) ~= 0
   msgbox('last entry of p must be zero');P='error';return;
elseif  any(l < 0) | any(l > 1)
   msgbox('invalid value for l');P='error';return;
elseif any(l+p > 1)
   msgbox('invalid value for l or p');P='error';return;
elseif  any(a < 0) | abs(sum(a)-1.0) > 10^(-12)
   msgbox('invalid value for a');P='error';return;
else
si = size(a);
P=zeros(si(2),si(2));
P = diag(p(1:si(2)-1),1) + diag(1-l-p,0) + l'*a;

end;
