function  c = ex6cccost(l,m,M,H,r,h);
%c = ex6cccost(l,m,M,H,r,h)
%M  Number of reservation clerks;
%H Number of calls that can be put on hold;
%l call arrival rate in hours;
%m number of calls served by one server per hour
%r = revenue generated by an accepted call
%h = cost of putting one call on hold for one unit of time.
%output c: c(i)= cost rate in state i.
if any([l m] < 0)
   msgbox('l and m must be positive'); c='error'; return;
elseif M < 0 | fix(M) - M ~=0
   msgbox('invalid netry for M'); c='error'; return;
elseif H < 0 | fix(H) - H ~= 0
   msgbox('invalid entry for H'); c='error'; return;
else
   c = zeros(M+H+1,1);
   for i=0:M
      c(i+1)=-r*l;
   end;
   for i = M+1:M+H-1
      c(i+1) = h*(i-M)-r*l;
   end;
   c(M+H+1)=h*H
end;

